// <-- NO CHECK REF -->

//       P       Q      R      S      T
pos=  [ 0.35;   0.47;  0.5;   0.53;  0.8];
amp=  [ 0.08;  -0.1;   0.8;  -0.18;  -0.2] ;
wl=   [ 0.1;    0.03;  0.08;  0.03;  0.3];
wr=   [ 0.1;    0.03;  0.08;  0.03;  0.18];
t = linspace(0,1,1001);
ecg = ECGWaveGen(t,[pos,amp,wl,wr]);
assert_checkequal(size(t), size(ecg));
// Check generated wave follows pos & amp
for i = size(pos, '*')
    idx = find(t == pos(i))
    assert_checkequal(ecg(idx), amp(i))
end
plot(t,ecg);